# Uses of Class
org.opensaml.security.x509.BasicX509Credential

Packages that use BasicX509Credential
Package
Description
org.opensaml.security.credential
Interfaces and classes related to credentials and ways to represent them.
org.opensaml.spring.credential
Factory beans for various credential classes.

## Uses of BasicX509Credential in org.opensaml.security.credential

Methods in org.opensaml.security.credential that return BasicX509Credential
Modifier and Type
Method
Description
`static BasicX509Credential`
CredentialSupport.`getSimpleCredential(X509Certificate cert, PrivateKey privateKey)`
Get a simple, minimal credential containing an end-entity X.509 certificate, and optionally a private key.

## Uses of BasicX509Credential in org.opensaml.spring.credential

Methods in org.opensaml.spring.credential that return BasicX509Credential
Modifier and Type
Method
Description
`protected BasicX509Credential`
AbstractX509CredentialFactoryBean.`doCreateInstance()`
Methods in org.opensaml.spring.credential that return types with arguments of type BasicX509Credential
Modifier and Type
Method
Description
`Class<BasicX509Credential>`
AbstractX509CredentialFactoryBean.`getObjectType()`